<template>
  <div class="flex justify-between">
    <div class="flex flex-col items-start justify-center w-full">
      <span v-if="auth" class="text-[3.5vw] mr-1 text-black">{{
        username
      }}</span>
      <span v-else class="text-[3.5vw] mr-1 text-black">{{
        $t("anonymous_user")
      }}</span>
      <div class="flex font-semibold text-black">
        <el-tooltip placement="bottom" v-if="auth" data-html="true">
          <template #content>
            <div v-for="(wallet, index) in wallets" :key="index">
              {{ wallet.getWalletNameForDisplay() }} :
              {{ wallet.getBetCreditForDisplay() }} {{ currency }}
            </div>
          </template>
          <span class="text-[5vw]">
            {{ currency.toUpperCase() }} {{ mainBalanceForDisplay }}
          </span>
        </el-tooltip>
        <span v-else class="text-[5vw]"> USD 0.00 </span>
        <button
          v-if="auth"
          @click="getMultiWallets"
          class="block text-[5vw] text-x88a1 ml-2"
        >
          <icons :is-refresh="true" />
        </button>
      </div>
    </div>
    <div class="w-full flex gap-[3vw] justify-end">
      <nuxt-link
        v-if="checkPlayer"
        :to="auth ? '/deposit' : '/login'"
        class="inline-flex flex-col items-center"
        :id="ID.DEPOSIT_SIDE_BAR"
      >
        <img
          class="max-w-[9vw] pointer-events-none"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/mobile/images/mainPageASI/wallet.png'
            )
          "
        />
        <em class="text-[3vw] not-italic pointer-events-none">{{ $t(`deposit${isBhinbhin}`) }}</em>
      </nuxt-link>
      <nuxt-link
        v-if="checkPlayer"
        :to="auth ? '/withdrawal' : '/login'"
        class="inline-flex flex-col items-center"
        :id="ID.WITHDRAWAL_SIDE_BAR"
      >
        <img
          class="max-w-[9vw] pointer-events-none"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/mobile/images/mainPageASI/withdrawal.png'
            )
          "
        />
        <em class="text-[3vw] not-italic pointer-events-none">{{ $t("withdrawal") }}</em>
      </nuxt-link>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent, ref } from "vue";
import useBalanceInfo from "@/composables/useBalanceInfo";
import useMenu from "@/composables/useMenu";
import { store } from "~~/store";

export default defineComponent({
  name: "MiniWallet",
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
  },
  setup() {
    const username = ref(store.state.username);
    const { isLoading, balanceUser, getBalance, currency, wallets, mainBalanceForDisplay, getMultiWallets } =
      useBalanceInfo();
    const { getAssetImage, isBhinbhin } = commonHelper;
    const { checkPlayer } = useMenu();
    return {
      username,
      currency,
      balanceUser,
      isLoading,
      getBalance,
      getAssetImage,
      checkPlayer,
      wallets,
      mainBalanceForDisplay,
      getMultiWallets,
      isBhinbhin,
    };
  },
});
</script>
